Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 987440 - Hotrod clients removeWithVersion doesn't work with replicated cache
Summary: Hotrod clients removeWithVersion doesn't work with replicated cache
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Server
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER4
: 6.2.0
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks: 1017190
TreeView+ depends on / blocked
 
Reported: 2013-07-23 11:39 UTC by Jakub Markos
Modified: 2013-11-20 12:38 UTC (History)
2 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker ISPN-3270 Critical Resolved Hotrod clients removeWithVersion doesn't work with replicated cache 2014-01-10 08:53:57 UTC

Description Jakub Markos 2013-07-23 11:39:09 UTC
Please see the linked JIRA for more details.

Comment 2 JBoss JIRA Server 2013-08-06 08:17:39 UTC
Tomas Sykora <tsykora@redhat.com> made a comment on jira ISPN-3270

Info for [~jmarkos]: I can't replicate this issue with 6.0.0.Alpha2 (JDG 6.2 DR2)

Comment 3 JBoss JIRA Server 2013-08-06 08:18:18 UTC
Tomas Sykora <tsykora@redhat.com> made a comment on jira ISPN-3270

Info for [~jmarkos]: I can't replicate this issue with 6.0.0.Alpha2 (JDG 6.2 DR2) Maybe it's fixed, please, verify it.

Comment 4 JBoss JIRA Server 2013-08-06 12:03:27 UTC
Tomas Sykora <tsykora@redhat.com> made a comment on jira ISPN-3270

Info for [~jmarkos]: I can't replicate this issue with 6.0.0.Alpha2 (JDG 6.2 DR2) Maybe it's fixed, please, verify it.
Now I can see that issue (Rhel6_x86, repl mode, core tests)

Still valid for DR2 = Alpha2.

Comment 5 JBoss JIRA Server 2013-08-06 12:04:10 UTC
Tomas Sykora <tsykora@redhat.com> made a comment on jira ISPN-3270

Info for [~jmarkos]: -I can't replicate this issue with 6.0.0.Alpha2 (JDG 6.2 DR2) Maybe it's fixed, please, verify it.-
Now I can see that issue (Rhel6_x86, repl mode, core tests)

Still valid for DR2 = Alpha2.

Comment 6 JBoss JIRA Server 2013-09-23 17:16:06 UTC
Mircea Markus <mmarkus@redhat.com> made a comment on jira ISPN-3270

[~jmarkos] please make sure you fill the "Affect Version(s)" field in the JIRA, it's very important for us in order to reproduce the issue ;)

Comment 7 JBoss JIRA Server 2013-09-25 11:35:49 UTC
Jakub Markos <jmarkos@redhat.com> made a comment on jira ISPN-3270

I've tried this for 6.2.0.ER1, and the command sometimes fails (I couldn't reproduce the case where it returns true but the entry is still available). Trace logs where the command fails attached.

Comment 8 JBoss JIRA Server 2013-11-04 18:21:24 UTC
Galder Zamarreño <galder.zamarreno@redhat.com> updated the status of jira ISPN-3270 to Coding In Progress

Comment 9 JBoss JIRA Server 2013-11-06 13:04:50 UTC
Galder Zamarreño <galder.zamarreno@redhat.com> made a comment on jira ISPN-3270

Looking into this...

Comment 10 JBoss JIRA Server 2013-11-06 15:11:32 UTC
Galder Zamarreño <galder.zamarreno@redhat.com> made a comment on jira ISPN-3270

I've tried to replicate this in the main Infinispan Core repository but no luck. I was gonna try to replicate in Infinispan Server, but there seems to be already similar tests in AbstractRemoteCacheTest, and HotRodRemoteCacheTest seems to execute them with {{default-repl.xml}} when running {{suite-client-repl}}?

Comment 11 JBoss JIRA Server 2013-11-07 10:24:25 UTC
Jakub Markos <jmarkos@redhat.com> updated the status of jira ISPN-3270 to Resolved

Comment 12 JBoss JIRA Server 2013-11-07 10:24:25 UTC
Jakub Markos <jmarkos@redhat.com> made a comment on jira ISPN-3270

You're right Galder, I couldn't reproduce this with latest infinispan server nor with any JDG higher than ER1. So it appears it was fixed somewhere between ER1 and ER2...

Comment 13 JBoss JIRA Server 2013-11-08 08:37:49 UTC
Galder Zamarreño <galder.zamarreno@redhat.com> made a comment on jira ISPN-3270

Oh, that's good news then :). Thanks Jakub!!


Note You need to log in before you can comment on or make changes to this bug.